package com.sf._01_treeset.demo;

import java.util.TreeSet;

public class Test {
    /**
     * TreeSet
     * 特点: 可以去除重复数据 , 并且有序
     *
     * 底层数据结构红黑树
     *
     * 往treeSet 当中存储元素要求必须要实现Comparable
     * @param args
     */
    public static void main(String[] args) {
        /**
         * TreeSet 创建
         * 往里面添加5个数据
         * 2 1 1 3 4 5
         * add()
         */
        TreeSet<Integer> treeSet = new TreeSet<>();
        treeSet.add(2);
        treeSet.add(1);
        treeSet.add(1);
        treeSet.add(3);
        treeSet.add(4);
        treeSet.add(5);
        // 判断treeSet 是否包含某一个元素
        System.out.println(treeSet.contains(2));
        // 查看treeSet 集合大小
        System.out.println(treeSet.size());
        // remove 删除treeSet 当中元素内容
        treeSet.remove(2);
        // isEmpty()  判断treeSet 集合是否为空
        System.out.println(treeSet.isEmpty());
        System.out.println(treeSet);
    }
}
